> For the complete documentation index, see [llms.txt](https://docs.unifiprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unifiprotocol.com/unifi-report/api-docs/list-smart-contracts-data-of-today.md).

# List Smart Contracts

All Unifi Report API endpoints should be called using the url: `https://data.unifi.report`

Endpoint `GET /api/smart-contract-balances/`

| Parameter  | Description                                    |
| ---------- | ---------------------------------------------- |
| blockchain | Blockchain name                                |
| contract   | Contract Address                               |
| pair       | Swap pair                                      |
| sort       | Sort by volume, liquidity, price or blockchain |

| sort parameter options | description                    |
| ---------------------- | ------------------------------ |
| volume                 | Sorts by volume                |
| volume\_desc           | Sorts by descending volume     |
| liquidity              | Sorts by liquidity             |
| liquidity\_desc        | Sorts by descending liquidity  |
| price                  | Sorts by price                 |
| price\_desc            | Sorts by descending price      |
| blockchain             | Sorts by blockchain            |
| blockchain\_desc       | Sorts by descending blockchain |

Example API call: `curl -X GET -H 'Accept: application/json; indent=4' https://data.unifi.report/api/smart-contract-balances/?contract=TUxqQp2qXUx7hT2F6Zx4hy85n8o9L9bzM9`\
&#x20;Response:

```
{
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
         {
            "datetime": "2021-03-09",
            "icon": "https://icon-service.unifi.report/icon_trc20?token=TJ93jQZibdB3sriHYb5nNwjgkPPAcFR7ty",
            "nativeIcon": "https://icon-service.unifi.report/icon_trc20?token=trx",
            "token_a": "UP",
            "liquidity_a": "48112.22",
            "token_b": "TRX",
            "liquidity_b": "1376504.2",
            "total_liquidity": "151218.75",
            "price_native_token": "1.63626179",
            "token_address": "TJ93jQZibdB3sriHYb5nNwjgkPPAcFR7ty",
            "contract_address": "TUxqQp2qXUx7hT2F6Zx4hy85n8o9L9bzM9",
            "trading_pair": "UP-TRX",
            "blockchain": "Tron",
            "native_token_price_usd": "0.0526657",
            "volume": "4128.416407999999",
            "volume_usd": "6755.17",
            "link": "https://tronscan.org/#/contract/TUxqQp2qXUx7hT2F6Zx4hy85n8o9L9bzM9/code",
            "liquidity_change_percentage": "-4.75",
            "volume_change_percentage": "-2.1",
            "volume_usd_change_percentage": "-8.06",
            "price_change": "-6.09",
            "transaction_count": "51",
            "transaction_change_percentage": "24.39",
            "annual_percentage_yield": "38.19677309857802782744329306297004",
            "annual_percentage_bonus_yield": "0.00000000000000000000000000000000",
            "annual_percentage_plus_bonus_yield": "0.00000000000000000000000000000000",
            "variable_annual_percentage_rate": "0.10464869342076171809807760837430",
            "annual_percentage_bonus_rate": "0.00000000000000000000000000000000",
            "annual_percentage_plus_bonus_rate": "0.00000000000000000000000000000000",
            "bonus_status": "Inactive",
            "bonus_token_address": "None",
            "bonus_token_name": "None",
            "farm_contract": "None"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unifiprotocol.com/unifi-report/api-docs/list-smart-contracts-data-of-today.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
